Subject: Re: Add "git show-ref" builtin command

From: Jakub Narebski <[email-masked]>
Date: Fri, 15 Sep 2006 23:24:56 +0200

Junio C Hamano wrote:

> +<format>::
> +       A string that interpolates `%(fieldname)` from the
> +       object pointed at by a ref being shown.  If `fieldname`
> +       is prefixed with an asterisk (`*`) and the ref points
> +       at a tag object, the value for the field in the object
> +       tag refers is used.  When unspecified, defaults to
> +       `%(refname)`.

Wouldn't it be better to be able to use (or be able to enable, like echo -e
option) interpretation of the  backslash-escaped characters, like 
\t, \n, \0?

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git